<!DOCTYPE html>
<html>
   <head>
      <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
      <title>AngularJs Filters</title>
      
      <!-- jQuery & AngularJs Javascript File -->      
      <script type="text/javascript" src="resource/js/jquery-3.2.1.min.js"></script>
      <script type="text/javascript" src="resource/js/angular_v1.6.0.js"></script>
      <script type="text/javascript" src="resource/js/friends.js"></script>
      
      <!-- Bootstrap Css -->
      <link rel="stylesheet" type="text/css" href="resource/css/bootstrap.min.style.css">
      <link rel="stylesheet" type="text/css" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
      
      <script type="text/javascript">
      	 /* jQuery function to switch between the Angular Filters */
         function reset(data) {
         	$('.non').css('display', 'none');
         	$('#' + data).css('display', 'block');
         	$('td.active').removeClass('active');
         	$('.' + data).addClass('active');         	
         }
      </script>
   </head>
   <body>
      <h1 align="center" class="text-primary h1FontStyle">AngularJs Filters Example</h1>
      <hr/>
      <div ng-app="myApp" class="container">
         <div class="demo-wrapper row">
            <!----- HTML TABLE TO DISPLAY THE ANGULARJS FILTER'S LIST ----->        
            <table class="col-md-3 col-md-offset-3 col-xs-12" border="1">
               <thead>
                  <tr><th><h3 align="center">Angular Filters</h3></th></tr>
               </thead>
               <tbody>
                  <tr><td class="currencyFilter active" id="activefilter" onclick="reset('currencyFilter');"><h4 class="text-muted">Currency</h4></td></tr>
                  <tr><td class="uppercaseFilter" onclick="reset('uppercaseFilter');"><h4 class="text-muted">Uppercase</h4></td></tr>
                  <tr><td class="lowcaseFilter" onclick="reset('lowcaseFilter');"><h4 class="text-muted">Lowercase</h4></td></tr>
                  <tr><td class="customfilter" onclick="reset('customfilter');"><h4 class="text-muted">Filter</h4></td></tr>
                  <tr><td class="orderFilter" onclick="reset('orderFilter');"><h4 class="text-muted">orderBy</h4></td></tr>
                  <tr><td class="limitToFilter" onclick="reset('limitToFilter');"><h4 class="text-muted">limitTo</h4></td></tr>
               </tbody>
            </table>
            <div class="col-md-4 col-md-offset-0 col-xs-12">
               <div id="angularJsFilters">               
                  <!----- EXAMPLE #1 - ANGULAR CODE FOR CURRENCY FILTER ----->
                  <div id="currencyFilter" class="non default">
                     <div class="login">
                        <h3 align="center" class="text-primary">Currency Filter</h3>
                        <hr/>
                        <p class="text-info"><strong>Enter price</strong></p>
                        <input type="text" name="price" id="entered_price" ng-model="price" placeholder="Enter price" class="form-control" />
                        <div>&nbsp;</div>
                        <p class="text-success"><strong>Output : </strong>{{ price|currency }}</p>
                     </div>
                  </div>
                  
                  <!----- EXAMPLE #2 - ANGULAR CODE FOR UPPERCASE FILTER ----->
                  <div id="uppercaseFilter" class="non" style="display: none">
                     <div class="login">
                        <h3 align="center" class="text-primary">Uppercase Filter</h3>
                        <hr/>
                        <p class="text-info"><strong>Enter a string</strong></p>
                        <input type="text" name="uname" id="uppercase_name" ng-model="uname" placeholder="Enter name in uppercase" class="form-control" />
                        <div>&nbsp;</div>
                        <p class="text-success"><strong>Output : </strong>{{ uname|uppercase }}</p>
                     </div>
                  </div>
                  
                  <!----- EXAMPLE #3 - ANGULAR CODE FOR LOWERCASE FILTER ----->
                  <div id="lowcaseFilter" class="non" style="display: none">
                     <div class="login">
                        <h3 align="center" class="text-primary">Lowercase Filter</h3>
                        <hr/>
                        <p class="text-info"><strong>Enter a string</strong></p>
                        <input type="text" name="lname" id="lowercase_name" ng-model="lname" placeholder="Enter name in lowercase" class="form-control" />
                        <div>&nbsp;</div>
                        <p class="text-success"><strong>Output : </strong>{{ lname|lowercase }}</p>
                     </div>
                  </div>
                  
                  <!----- EXAMPLE #4 - ANGULAR CODE FOR CUSTOM FILTER ----->
                  <div ng-controller = "fetchFriends">
                     <div id="customfilter" class="non" style="display: none">
                        <div class="login">
                           <h3 align="center" class="text-primary">Filter</h3>
                           <hr/>
                           <p class="text-info"><strong>Search by Name</strong></p>
                           <input type="text" name="fname" id="friend_name" ng-model="fname" placeholder="Enter a string" class="form-control" />
                           <!----- FILTER RECORDS BY NAME ----->
                           <div>&nbsp;</div>
                           <ul class="friend_info">
                              <li class="left info_heading">Name</li>
                              <li class="right info_heading">Age</li>
                              <li class="text-success" ng-repeat="f in friends|filter:{name:fname}" >
                                 <div id="fName" class="left">{{ f.name }}</div>
                                 <div id="fAge" class="right">{{ f.age }}</div>
                              </li>
                           </ul>
                           <div>&nbsp;</div>
                           <p class="text-info"><strong>Search by Age</strong></p>
                           <input type="text" name="fage" id="friend_age" ng-model="fage" placeholder="Enter a number" class="form-control" />
                           <!----- FILTER RECORDS BY AGE ----->
                           <div>&nbsp;</div>
                           <ul class="friend_info">
                              <li class="left info_heading">Name</li>
                              <li class="right info_heading">Age</li>
                              <li class="text-success" ng-repeat="f in friends|filter:{age:fage}">
                                 <div id="fName" class="left">{{ f.name }}</div>
                                 <div id="fAge" class="right">{{ f.age }}</div>
                              </li>
                           </ul>
                        </div>
                     </div>
                     
                     <!----- EXAMPLE #5 - ANGULAR CODE FOR ORDER-BY FILTER ----->
                     <div id="orderFilter" class="non" style="display: none">
                        <div class="login">
                           <h3 align="center" class="text-primary">orderBy Filter</h3>
                           <hr/>
                           <p class="text-info"><strong>Select an option</strong></p>
                           <select ng-model="select">
                              <option value="" disabled selected>Select option</option>
                              <option value="name">Name</option>
                              <option value="age">Age</option>
                           </select>
                           <ul class="friend_info">
                              <li class="left info_heading">Name</li>
                              <li class="right info_heading">Age</li>
                              <li class="text-success" ng-repeat="f in friends|orderBy: select">
                                 <div id="fName" class="left">{{ f.name }}</div>
                                 <div id="fAge" class="right">{{ f.age }}</div>
                              </li>
                           </ul>
                        </div>
                     </div>
                     
                     <!----- EXAMPLE #6 - ANGULAR CODE FOR LIMIT-TO FILTER ----->
                     <div id="limitToFilter" class="non" style="display: none">
                        <div class="login">
                        	<h3 align="center" class="text-primary">limitTo Filter</h3>                          
                            <hr/>
                            <p class="text-info"><strong>Enter a string &amp; length</strong></p>
                            <input type="text" name="lmInput" id="limitTo_input" ng-model="lmInput" placeholder="Enter a name" class="form-control" />
                            <div>&nbsp;</div>
                            <input type="number" step="1" ng-model="LimitTo" value="2" placeholder="Enter length filter" class="limitTo form-control" />
                            <div>&nbsp;</div>
                            <p class="text-success"><strong>Output : </strong> {{ lmInput|limitTo:LimitTo }}</p>
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </body>
</html>